import { Options, SelectionBounds, TextSelection } from './types';
export declare class TextareaSelectionBounds {
    private readonly _textArea;
    private readonly _options;
    constructor(textArea: HTMLTextAreaElement, options?: Partial<Options>);
    private get relevantStyles();
    getCurrentSelection(): TextSelection;
    getBounds(): SelectionBounds;
    getBoundsForSelection(selection: TextSelection): SelectionBounds;
}
